Archive a fact-find template. Run in API Explorer
Ask AI
Hides the template from the default list and blocks new sessions.
POST
/api/v2/fact-find/templates/{factFindTemplate_uuid}/archive
curl \
--request POST 'https://api.plannrcrm.com/api/v2/fact-find/templates/6ff8f7f6-1eb3-3525-be4a-3932c805afed/archive' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"uuid": "c76ab9d3-706c-4e39-9900-cc1a6e994bb9",
"created_at": "2026-10-13T15:54:50+01:00",
"updated_at": "2026-10-13T15:54:50+01:00",
"name": "My Fact-Find Template",
"display_name": "Welcome Pack",
"description": "A comprehensive fact-find template for new clients.",
"opening_statement": "Welcome to our fact-find process...",
"closing_statement": "Thank you for completing the fact find",
"is_published": true,
"archived_at": "2026-10-12T15:54:50+01:00",
"is_archived": false,
"is_locked": false,
"active_session_count": 0,
"sections": {
"uuid": "876a313d-f3a6-4a37-955a-f73b0caacc30",
"created_at": "2026-10-13T15:54:50+01:00",
"updated_at": "2026-10-13T15:54:50+01:00",
"fact_find_template": {
"uuid": "2c9d9e3d-53ab-4d1e-bf63-03b01925937e",
"created_at": "2026-10-13T15:54:52+01:00",
"updated_at": "2026-10-13T15:54:52+01:00",
"name": "My Fact-Find Template",
"display_name": "Welcome Pack",
"description": "A comprehensive fact-find template for new clients.",
"opening_statement": "Welcome to our fact-find process...",
"closing_statement": "Thank you for completing the fact find",
"is_published": true,
"archived_at": "2026-10-12T15:54:52+01:00",
"is_archived": false,
"is_locked": false,
"active_session_count": 0
},
"name": "Personal Details",
"introduction_html": "<p>Please provide your personal details below.</p>",
"position": 1,
"is_complete": false,
"blocks": {
"uuid": "4fd8fd5f-7956-4f9d-a889-ec7efac69511",
"created_at": "2026-10-13T15:54:52+01:00",
"updated_at": "2026-10-13T15:54:52+01:00",
"name": "Income Details",
"introduction_html": "<p>Please provide your income details below.</p>",
"position": 1
}
}
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}